<?php
if(!defined('PLX_ROOT')) { exit; }

$allowCom = ($plxShow->plxMotor->plxRecord_arts->f('allow_com') AND $plxShow->plxMotor->aConf['allow_com']);

if($allowCom) {
    # Hack against PluXml
    ob_start();
    $plxShow->comGet('parent');
    $comParent =ob_get_clean();
    $comParentId = !empty($comParent) ? 'c' . str_pad($plxShow->artId(), 4, 0, STR_PAD_LEFT) . '-' . $comParent : '';

    # On bufferise le formulaire
    ob_start();
?>
					<form id="form" action="<?php $plxShow->artUrl(); ?>" method="post">
						<input type="hidden" id="id_parent" name="parent" value="<?= $comParent ?>" />
						<fieldset>
							<div class="grid">
								<div class="col">
									<label for="id_name"><?php $plxShow->lang('NAME') ?>* :</label>
									<input id="id_name" name="name" type="text" value="<?php $plxShow->comGet('name'); ?>" autocomplete="name" maxlength="30" required="required" />
								</div>
							</div>
							<div class="grid">
								<div class="col lrg-6">
									<label for="id_mail"><?php $plxShow->lang('EMAIL') ?> :</label>
									<input id="id_mail" name="mail" type="text" value="<?php $plxShow->comGet('mail'); ?>" autocomplete="email" />
								</div>
								<div class="col lrg-6">
									<label for="id_site"><?php $plxShow->lang('WEBSITE') ?> :</label>
									<input id="id_site" name="site" type="url" value="<?php $plxShow->comGet('site'); ?>" autocomplete="url" />
								</div>
							</div>
							<div class="grid">
								<div class="col">
									<div id="id_answer"></div>
									<label for="id_content" class="lab_com"><?php $plxShow->lang('COMMENT') ?>* :</label>
									<textarea id="id_content" name="content" rows="6" required="required"><?php $plxShow->comGet('content',''); ?></textarea>
								</div>
							</div>
							<div class="grid">
<?php if($plxShow->plxMotor->aConf['capcha']): ?>
								<div class="col med-10">
									<label for="id_rep"><strong><?php echo $plxShow->lang('ANTISPAM_WARNING') ?></strong>*</label>
									<?php $plxShow->capchaQ(); ?>
									<input id="id_rep" name="rep" type="text" maxlength="1" required="required" autocomplete="off" />
								</div>
<?php endif; ?>
								<div class="col med-2">
									<input class="blue" type="submit" value="<?php $plxShow->lang('SEND') ?>" />
								</div>
							</div>
						</fieldset>
					</form>
<?php
    $form = ob_get_clean() . PHP_EOL;
}

if($plxShow->plxMotor->plxRecord_coms) {
?>
		<div id="comments-list">
			<h3 id="comments"><?php echo $plxShow->artNbCom(); ?></h3>
<?php
	# On boucle sur les commentaires
	while($plxShow->plxMotor->plxRecord_coms->loop()) {
		$comId = $plxShow->comId(false);
?>
			<div id="<?= $comId ?>" class="comment <?php $plxShow->comLevel(); ?>">
				<div>
					<small>
						<a class="nbcom" href="<?php $plxShow->ComUrl(); ?>" title="#<?php echo $plxShow->plxMotor->plxRecord_coms->i+1 ?>">#<?php echo $plxShow->plxMotor->plxRecord_coms->i+1 ?></a>&nbsp;
						<time datetime="<?php $plxShow->comDate('#num_year(4)-#num_month-#num_day #hour:#minute'); ?>"><?php $plxShow->comDate('#day #num_day #month #num_year(4) - #hour:#minute'); ?></time> -
						<?php $plxShow->comAuthor('link'); ?> <?php $plxShow->lang('SAID'); ?> :
					</small>
					<blockquote>
						<p class="content_com type-<?php $plxShow->comType(); ?>"><?php $plxShow->comContent(); ?></p>
					</blockquote>
				</div>
<?php
		if($plxShow->plxMotor->plxRecord_arts->f('allow_com') AND $plxShow->plxMotor->aConf['allow_com']) {
?>
				<button data-comid="<?= $comId ?>"><?php $plxShow->lang('REPLY'); ?></button>
<?php
		}
?>
			</div>
			<div id="target-<?= $comId ?>">
<?php
if(!empty($form) and $comParentId == $comId) {
    echo $form;
    $form = '';
}
?>
            </div>
<?php
	} # Fin de la boucle sur les commentaires
}

if($allowCom) {
	# Commentaires autorisés
    if(
        $plxShow->comMessage('<div id="com_message" class="#com_class"><p>#com_message</p></div>') === false or
        !empty($_SESSION['msg'])
    ){
?>
			<details id="details">
				<summary><button class="no-print" data-comid=""><?php $plxShow->lang('WRITE_A_COMMENT') ?></button></summary>
				<div id="target-"><?= $form ?></div>
			</details>
<?php
    }
?>
		</div>
<?php
$plxShow->comFeed('rss',$plxShow->artId(), '<p><a class="rss" href="#feedUrl" title="#feedTitle">#feedName</a></p>');
} else {
?>
	<p><?php $plxShow->lang('COMMENTS_CLOSED') ?>.</p>
<?php
} # Fin du if sur l'autorisation des commentaires
